Summary:	Gstreamer plugin for the libav codec
Name:		gstreamer1.0-libav
Version:	1.2.4
Release:	2

License:	GPLv2+
Group:		Video
URL:		http://gstreamer.freedesktop.org
Source0:	http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz

Provides: gstreamer1.0-ffmpeg = %{version}-%{release}
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-base-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-check-1.0) >= %{version}
BuildRequires: pkgconfig(orc-0.4) >= 0.4.16
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(check)
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: bzip2-devel

%description
Video codec plugin for GStreamer based on the libav libraries.

%prep
%setup -q -n gst-libav-%version

%build
%configure2_5x \
  --disable-static \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.rosalinux.com/' \
  --with-libav-extra-configure='--disable-decoder=mp3 --disable-decoder=mp3on4 --disable-decoder=mp3adu --disable-demuxer=mp3 --disable-demuxer=asf'
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%{_libdir}/gstreamer-1.0/libgstlibav.so

%changelog
* Wed Jul 02 2014 Arkady Shane <ashejn@gmail.com> 1.2.4-2
+ Revision: 8d8fd90
- drop version of bzip2


